# H323PluginCapabilityInfo Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for H323PluginCapabilityInfo:

[legend]
Collaboration diagram for H323PluginCapabilityInfo:
[legend]

## Public Member Functions

| H323PluginCapabilityInfo (const PluginCodec_Definition *codecDefn, const OpalMediaFormat &mediaFormat)
const PString & | GetFormatName () const

## Protected Attributes

const PluginCodec_Definition * | m_codecDefn
PString | m_capabilityFormatName

## Constructor & Destructor Documentation

H323PluginCapabilityInfo::H323PluginCapabilityInfo | ( | const PluginCodec_Definition * | codecDefn,
|  | const OpalMediaFormat & | mediaFormat |
| ) |  |  |

## Member Function Documentation

const PString& H323PluginCapabilityInfo::GetFormatName | ( |  | ) | const`[inline]`

Reimplemented in H323AudioPluginCapability, H323CodecPluginNonStandardAudioCapability, H323CodecPluginGenericAudioCapability, H323CodecPluginNonStandardVideoCapability, and H323CodecPluginGenericVideoCapability.

## Field Documentation

PString H323PluginCapabilityInfo::m_capabilityFormatName `[protected]`

const PluginCodec_Definition* H323PluginCapabilityInfo::m_codecDefn `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h